org.apache.sysds.runtime.iogen

## Class RawRow

- java.lang.Object
- - org.apache.sysds.runtime.iogen.RawRow

    public class RawRow
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`RawRow(String raw)`
`RawRow(String raw, ArrayList<Integer> numericPositions, String numericRaw)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Pair<Integer,Integer>` `findAtValue(ValueTrimFormat vtf, int rawIndex, int numericIndex)`
`Pair<Integer,Integer>` `findAtValue(ValueTrimFormat vtf, int rawIndex, int numericIndex, boolean update)`
`Pair<Integer,Integer>` `findSequenceValues(ArrayList<ValueTrimFormat> vtfs, int startIndex, boolean update)`
`Pair<Integer,Integer>` `findValue(ValueTrimFormat vtf, boolean forward)`
`Pair<Integer,Integer>` `findValue(ValueTrimFormat vtf, boolean forward, boolean update)`
`Pair<String,String>` `getDelims()`
`Pair<HashSet<String>,Integer>` `getDelimsSet()`
`int` `getNumericLastIndex()`
`String` `getRaw()`
`int` `getRawLastIndex()`
`RawRow` `getResetClone()`
`boolean` `isMarked()`
`void` `resetReserved()`
`void` `setLastIndex(int lastIndex)`
`void` `setNumericLastIndex(int numericLastIndex)`
`void` `setRawLastIndex(int rawLastIndex)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RawRow

    public RawRow(String raw,
                  ArrayList<Integer> numericPositions,
                  String numericRaw)

#### RawRow

    public RawRow(String raw)

### Method Detail

#### findValue

    public Pair<Integer,Integer> findValue(ValueTrimFormat vtf,
                                           boolean forward,
                                           boolean update)

#### findValue

    public Pair<Integer,Integer> findValue(ValueTrimFormat vtf,
                                           boolean forward)

#### findSequenceValues

    public Pair<Integer,Integer> findSequenceValues(ArrayList<ValueTrimFormat> vtfs,
                                                    int startIndex,
                                                    boolean update)

#### findAtValue

    public Pair<Integer,Integer> findAtValue(ValueTrimFormat vtf,
                                             int rawIndex,
                                             int numericIndex,
                                             boolean update)

#### findAtValue

    public Pair<Integer,Integer> findAtValue(ValueTrimFormat vtf,
                                             int rawIndex,
                                             int numericIndex)

#### getDelims

    public Pair<String,String> getDelims()

#### resetReserved

    public void resetReserved()

#### getDelimsSet

    public Pair<HashSet<String>,Integer> getDelimsSet()

#### getRaw

    public String getRaw()

#### setNumericLastIndex

    public void setNumericLastIndex(int numericLastIndex)

#### setRawLastIndex

    public void setRawLastIndex(int rawLastIndex)

#### getResetClone

    public RawRow getResetClone()

#### setLastIndex

    public void setLastIndex(int lastIndex)

#### getNumericLastIndex

    public int getNumericLastIndex()

#### getRawLastIndex

    public int getRawLastIndex()

#### isMarked

    public boolean isMarked()